# frozen_string_literal: true

# CarrierWave Secure - Licensed under LGPL-3.0

module CarrierWave
  module Secure
    # Decrypts the file on reading, using decorator pattern.
    class DecryptedFile < CarrierWave::Secure::AbstractFile
      def read
        @read ||= cipher.decrypt(@decorated.read.clone).force_encoding('UTF-8')
      end
    end
  end
end
