# frozen_string_literal: true

# CarrierWave Secure - Licensed under LGPL-3.0

module CarrierWave
  module Secure
    # Encrypts the file on reading, using decorator pattern.
    class EncryptedFile < CarrierWave::Secure::AbstractFile
      def read
        @read ||= cipher.encrypt(@decorated.read)
      end
    end
  end
end
